Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class DefaultInitializeCollectionEventListener

    java.lang.Object
      org.hibernate.event.internal.DefaultInitializeCollectionEventListener

All Implemented Interfaces:
  Serializable, InitializeCollectionEventListener

    public class DefaultInitializeCollectionEventListener

extends Object
implements InitializeCollectionEventListener

See Also:
  Serialized Form

Constructor Summary
`DefaultInitializeCollectionEventListener()`

Method Summary
`void` | `onInitializeCollection(InitializeCollectionEvent event)` called by a collection that wants to initialize itself

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultInitializeCollectionEventListener

    public DefaultInitializeCollectionEventListener()

Method Detail

### onInitializeCollection

    public void onInitializeCollection(InitializeCollectionEvent event)
                                throws HibernateException

  called by a collection that wants to initialize itself

  Specified by:
    `onInitializeCollection` in interface `InitializeCollectionEventListener`
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.